Kling 2.6
Kling 2.6 Motion Control (Standard) generates videos by animating a source image using motion from a reference video. Users provide an image URL and a video URL, with options to keep the original sound and align character orientation to either the image or video.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/motion-control/std", { input: { "prompt": "", "image_url": "https://example.com/input.jpg", "video_url": "https://example.com/input.mp4", "keep_original_sound": "yes", "character_orientation": "video" }, withPolling: true, },); console.log(result);Calling the API
Use kling-video/motion-control/std with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/motion-control/std", { input: { "prompt": "", "image_url": "https://example.com/input.jpg", "video_url": "https://example.com/input.mp4", "keep_original_sound": "yes", "character_orientation": "video" }, withPolling: true, },); console.log(result);Request parameters
promptstring · optional
Write your prompt here
Default: ""
{
"type": "string",
"title": "Prompt",
"default": "",
"description": "Write your prompt here"
}image_urlstring · required
Image URL
{
"type": "string",
"title": "Image URL",
"format": "uri"
}video_urlstring · required
Video URL
{
"type": "string",
"title": "Video URL",
"format": "uri"
}keep_original_soundstring · optional
Keep original sound
Options: yes, no
Default: "yes"
{
"enum": [
"yes",
"no"
],
"type": "string",
"title": "Keep original sound",
"default": "yes"
}character_orientationstring · optional
Generate the orientation of the characters in the video, which can be selected to match the image or the video
Options: image, video
Default: "video"
{
"enum": [
"image",
"video"
],
"type": "string",
"title": "Character orientation",
"default": "video",
"description": "Generate the orientation of the characters in the video, which can be selected to match the image or the video"
}Price
Standard self-serve rates in USD per video second: 720p: $0.0523. Billed duration is the motion-reference video duration rounded to the nearest whole second. Total price = selected rate × billed duration in seconds.
View all pricing